<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="css/style.css">
    <title>Javascript Assignment1 - Form validation.</title>
</head>
<body>
    <h1 class="heading">Javascript Assignment 1</h1>
    <div class="form-container">
         <p id="alert"></p>
        <form id="form">
            <label for="email">Email:</label>
            <br/>
            <input class="input" type="email" id="email" name="email" placeholder="Enter your Email"/>
            <br/>
            <label for="password">Password:</label>
            <br/>
            <input class="input" type="password" id="password" name="password" placeholder="Enter your password"/>
            <br/>
            <label for="gender">Gender : </label>
            <br/>
            <select class="input" name="gender" id="gender">
                <option value="male">male</option>
                <option value="female">female</option>
                <option value="other">other</option>
            </select>
            <br />
            <label >Role : </label>
            <br/>
            <div class="input-group">
                <input type="radio" id="user" name="role" value="user" checked/> User
                <input type="radio" id="admin" name="role" value="admin" /> Admin
            </div>

            <label>Permissions : </label>
            <br/>
            <div class="input-group">
                <input type="checkbox" value="permission1" id="perm1">Perm1
                <input type="checkbox" value="permission2" id="perm2">Perm2
                <input type="checkbox" value="permission3" id="perm3">Perm3
                <input type="checkbox" value="permission4" id="perm4">Perm4
            </div>
            <input class="btn" type="submit" value="submit" />
        </form>
        <div id="details" class="hidden">
            <h3 id="emailDisplay"></h3>
            <hr>
            <h3 id="passwordDisplay"></h3>
            <hr>
            <h3 id="roleDisplay"></h3>
            <hr>
            <h3 id="genderDisplay"></h3>
            <hr>
            <h3 id="permissionDisplay"></h3>
            <button class="btn" type="button">Confirm</button>
        </div>
    </div>
    
    <script src="js/index.js"></script>
</body>
</html>